Package org.apache.sysds.runtime.iogen

## Enum MappingProperties.RepresentationProperties

- java.lang.Object
- - java.lang.Enum<MappingProperties.RepresentationProperties>
  - - org.apache.sysds.runtime.iogen.MappingProperties.RepresentationProperties

All Implemented Interfaces:
  `Serializable`, `Comparable<MappingProperties.RepresentationProperties>`

Enclosing class:
  MappingProperties

    public static enum MappingProperties.RepresentationProperties
    extends Enum<MappingProperties.RepresentationProperties>

### Enum Constant Summary

Enum Constants
`ARRAYCOLWISE`
`ARRAYROWWISE`
`PATTERN`
`SKEWSYMMETRIC`
`SYMMETRIC`
`TYPICAL`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `toString()`
`static MappingProperties.RepresentationProperties` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static MappingProperties.RepresentationProperties[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TYPICAL

    public static final MappingProperties.RepresentationProperties TYPICAL

#### SYMMETRIC

    public static final MappingProperties.RepresentationProperties SYMMETRIC

#### SKEWSYMMETRIC

    public static final MappingProperties.RepresentationProperties SKEWSYMMETRIC

#### PATTERN

    public static final MappingProperties.RepresentationProperties PATTERN

#### ARRAYCOLWISE

    public static final MappingProperties.RepresentationProperties ARRAYCOLWISE

#### ARRAYROWWISE

    public static final MappingProperties.RepresentationProperties ARRAYROWWISE

### Method Detail

#### values

    public static MappingProperties.RepresentationProperties[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MappingProperties.RepresentationProperties c : MappingProperties.RepresentationProperties.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MappingProperties.RepresentationProperties valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<MappingProperties.RepresentationProperties>`